%global srcname txredisapi
%global desc \
txredisapi is a non-blocking client driver for the Redis database, \
written in Python. It uses Twisted for the asynchronous communication \
with Redis. \
\
It started as a fork of the original Redis protocol for Twisted, and \
evolved into a more robust, reliable, and complete solution for \
applications like web servers. These types of applications often need a \
fault-tolerant pool of connections with multiple Redis servers, making it \
possible to easily develop and maintain distributed systems. \
\
Most of the Redis commands are supported, as well as other features such as \
silent reconnection, connection pools, and automatic sharding. \
\
This driver is distributed as part of the cyclone web framework.


Name:           python-%{srcname}
Version:        1.4.4
Release:        5%{?dist}
Summary:        Non-blocking Redis client for Python

License:        ASL 2.0
URL:            http://github.com/fiorix/txredisapi
Source0:        https://files.pythonhosted.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description %{desc}

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-six
Requires:       python3-twisted
%description -n python3-%{srcname} %{desc}


%prep
%autosetup -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build


%install
%py3_install


%files -n python3-%{srcname}
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info


%changelog
* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.4-5
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.4.4-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Aurelien Bompard <abompard@fedoraproject.org> - 1.4.4-1
- Initial package.
